# Uses of Class
org.apache.commons.math3.genetics.InvalidRepresentationException

Packages that use InvalidRepresentationException
Package
Description
org.apache.commons.math3.genetics
This package provides Genetic Algorithms components and implementations.

## Uses of InvalidRepresentationException in org.apache.commons.math3.genetics

Methods in org.apache.commons.math3.genetics that throw InvalidRepresentationException
Modifier and Type
Method
Description
`protected abstract void`
AbstractListChromosome.`checkValidity(List<T> chromosomeRepresentation)`
Asserts that `representation` can represent a valid chromosome.
`protected void`
BinaryChromosome.`checkValidity(List<Integer> chromosomeRepresentation)`
Asserts that `representation` can represent a valid chromosome.
`protected void`
RandomKey.`checkValidity(List<Double> chromosomeRepresentation)`
Asserts that `representation` can represent a valid chromosome.
Constructors in org.apache.commons.math3.genetics that throw InvalidRepresentationException
Modifier
Constructor
Description
``
`AbstractListChromosome(List<T> representation)`
Constructor, copying the input representation.
``
`AbstractListChromosome(T[] representation)`
Constructor, copying the input representation.
``
`BinaryChromosome(Integer[] representation)`
Constructor.
``
`BinaryChromosome(List<Integer> representation)`
Constructor.
``
`RandomKey(Double[] representation)`
Constructor.
``
`RandomKey(List<Double> representation)`
Constructor.